Skip to main content
`Ctrl`+`K`

# PetscHMapIVFind

Query for key in the hash table

## Synopsis

    #include <petsc/private/hashmapiv.h>
    PetscErrorCode PetscHMapIVFind(PetscHMapIV ht, PetscInt key, PetscHashIter *iter, PetscBool *found)

## Input Parameters

- ht - The hash table

- key - The key

## Output Parameters

- iter - Iterator referencing the value for key

- found - Boolean indicating whether the key was present

## See Also

`PetscHMapIVIterGet()`, `PetscHMapIVIterDel()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages